OpenPACE: Data Printing

OpenPACE

Functions
Data Printing

## Functions
int | certificate_description_print (BIO *bio, const CVC_CERTIFICATE_DESCRIPTION *desc, int indent)
| Print CV certificate description in human readable form. More...
int | cvc_chat_print (BIO *bio, const CVC_CHAT *chat, int indent)
| Print CHAT in human readable form. More...
int | cvc_chat_print_authorizations (BIO *bio, const CVC_CHAT *chat, int indent)
| Print the relative authorization contained in a CHAT in human readable form. More...
int | CVC_print (BIO *bio, const CVC_CERT *cv, int indent)
| Print CV certificate in human readable form. More...
int | certificate_request_print (BIO *bio, const CVC_CERT_REQUEST *request, int indent)
| Print CV certificate request in human readable form. More...
int | certificate_authentication_request_print (BIO *bio, const CVC_CERT_AUTHENTICATION_REQUEST *authentication, int indent)
| Print CV certificate authentication request in human readable form. More...
int | EAC_CTX_print_private (BIO *out, const EAC_CTX *ctx, int indent)
| Print EAC context including private data. More...
int | BUF_MEM_print (BIO *out, const BUF_MEM *buf, int indent)
| Prints buffer. More...
void | BUF_MEM_clear_free (BUF_MEM *b)
| Frees and wipes a buffer. More...

## Detailed Description

## Function Documentation

## ◆ BUF_MEM_clear_free()

void BUF_MEM_clear_free | ( | BUF_MEM * | b | ) |

Frees and wipes a buffer.

Calls `OPENSSL_cleanse()` and `BUF_MEM_free()`.

Parameters

  [in] | b | Where to print the data

## ◆ BUF_MEM_print()

int BUF_MEM_print | ( | BIO * | out,
|  | const BUF_MEM * | buf,
|  | int | indent
| ) |  |

Prints buffer.

Parameters

  [in] | out | Where to print the data
  [in] | buf | Buffer to print
  [in] | indent | Number of whitespaces used for indenting the output

Returns
  1 on success or 0 in case of an error

## ◆ certificate_authentication_request_print()

int certificate_authentication_request_print | ( | BIO * | bio,
|  | const CVC_CERT_AUTHENTICATION_REQUEST * | authentication,
|  | int | indent
| ) |  |

Print CV certificate authentication request in human readable form.

Parameters

  [in] | bio | Where to print the data
  [in] | request | CV certificate authentication request to print
  [in] | indent | Number of spaces to prepend

Returns
  1 on success or 0 in case of an error

## ◆ certificate_description_print()

int certificate_description_print | ( | BIO * | bio,
|  | const CVC_CERTIFICATE_DESCRIPTION * | desc,
|  | int | indent
| ) |  |

Print CV certificate description in human readable form.

Parameters

  [in] | bio | Where to print the data
  [in] | desc | CV certificate desciption to print
  [in] | indent | Number of spaces to prepend

Returns
  1 on success or 0 in case of an error

## ◆ certificate_request_print()

int certificate_request_print | ( | BIO * | bio,
|  | const CVC_CERT_REQUEST * | request,
|  | int | indent
| ) |  |

Print CV certificate request in human readable form.

Parameters

  [in] | bio | Where to print the data
  [in] | request | CV certificate request to print
  [in] | indent | Number of spaces to prepend

Returns
  1 on success or 0 in case of an error

## ◆ cvc_chat_print()

int cvc_chat_print | ( | BIO * | bio,
|  | const CVC_CHAT * | chat,
|  | int | indent
| ) |  |

Print CHAT in human readable form.

Parameters

  [in] | bio | Where to print the data
  [in] | chat | CHAT to dump
  [in] | indent | Number of spaces to prepend

Returns
  1 on success or 0 in case of an error

## ◆ cvc_chat_print_authorizations()

int cvc_chat_print_authorizations | ( | BIO * | bio,
|  | const CVC_CHAT * | chat,
|  | int | indent
| ) |  |

Print the relative authorization contained in a CHAT in human readable form.

Parameters

  [in] | bio | Where to print the data
  [in] | chat | CHAT which contains the relative authorization
  [in] | indent | Number of spaces to prepend

Returns
  1 on success or 0 in case of an error

## ◆ CVC_print()

int CVC_print | ( | BIO * | bio,
|  | const CVC_CERT * | cv,
|  | int | indent
| ) |  |

Print CV certificate in human readable form.

Parameters

  [in] | bio | Where to print the data
  [in] | cv | CV certificate to print
  [in] | indent | Number of spaces to prepend

Returns
  1 on success or 0 in case of an error

## ◆ EAC_CTX_print_private()

int EAC_CTX_print_private | ( | BIO * | out,
|  | const EAC_CTX * | ctx,
|  | int | indent
| ) |  |

Print EAC context including private data.

Parameters

  [in] | out | Where to print the data
  [in] | ctx | EAC context to be printed
  [in] | indent | Number of whitespaces used for indenting the output

Returns
  1 on success or 0 in case of an error